Skip to content

Get Several Locations

Request

Get locations managed by the current API user. Some fields are omitted (such as paymentOptions and services). For a full list use the GET/api/locations/$id endpoint.

Security
X-API-KEY or Authorization
Query
businessIdArray of integers, (int64)

Only return locations in the business identified by businessId. Allowed multiple businessIds

Example:businessId=/api/locations?businessId=123&businessId=456
businessIdsArray of integers, (int64)

Returns all locations associated with multiple business ids

citiesArray of strings

Get locations in the requested cities

classificationstring

Possible values: REQUIRED, BASIC, ADVANCED, BONUS and COMPLETE

countriesArray of strings

Get locations in the requested country

endDateMaxstring, (date-time)

Only locations with an endDate less than or equal to endDateMax will be returned

Example:endDateMax=2020-02-05T12:18:12.000+01:00
endDateMinstring, (date-time)

Only locations with an endDate greater than or equal to endDateMin will be returned.

Example:endDateMin=2018-02-05T12:18:12.000+01:00
excludedLocationIdsArray of integers, (int64)

List of locationIds that should be excluded from the result

Example:excludedLocationIds=excludedLocationIds=20&excludedLocationIds=21 for multiple locations
facebookStatusstring

Possible values: CONNECTED, NOT_CONNECTED

fieldMaskArray of strings

Possible fieldMask options ( 'id', 'name', 'identifier', 'street', 'streetNo', 'streetAndNumber', 'addressExtra', 'zip', 'city', 'country', 'sublocality', 'dateCreated', 'endDate', 'province', 'lat', 'lng', 'addressDisplay', 'phone', 'fax', 'timeZone', 'cellphone', 'website', 'email', 'legalIdent', 'taxNumber', 'descriptionShort', 'descriptionLong', 'imprint', 'openingHoursNotes', 'status', 'photos', 'attributes', 'lastUpdated', 'firstSyncStarted', 'lastSyncStarted', 'autoSync', 'locationSyncable', 'businessId', 'businessName', 'productPlanId', 'productPlanName', 'googleInsights', 'labels', 'customFields', 'features', 'groups', 'openingHours', 'specialOpeningHours', 'nameDescriptor', 'actionsRequired', 'profileCompleteness', 'suggestionsForFieldsAvailable', 'listingsInSync', 'activeListingsCount', 'dataPoints', 'averageRating', 'directoriesMissingConnect' )

Example:fieldMask=city&fieldMask=zip
googleDirectoryStatusstring

Possible values: VERIFIED (the Google listing is verified and fully managed by us), UNVERIFIED (the Google listing is not verified), DISABLED (the Google listing is disabled), SUSPENDED (the Google listing is suspended), DUPLICATE (the Google listing is a duplicate), PENDING_VERIFICATION (a verification pin has been requested for the Google listing), NEEDS_REVERIFICATION (the verification process for the Google listing needs to be reverified), PENDING_REVIEW (there is no Google account connected for the listing)

googleStatusstring

Possible values: VERIFIED (the Google listing is verified and fully managed by us), VERIFICATION_STARTED (a verification pin has been requested for the Google listing), VERIFICATION_NOT_STARTED (the verification process has not been start for the Google listing), NOT_CONNECTED (there is no Google account connected for the listing), VERIFIED_BY_THIRD_PARTY (there is a verified listing on Google but we do not manage it)

groupIdsArray of integers, (int64)

The groupId to which the location belongs

groupsArray of strings

The name of the group to which the location belongs

identifierstring

Only return one location (per business) based on your internal identification system

labelsArray of strings

Only return locations that contain at least one of the given labels

Example:labels=labels=my-label-1&labels=my-label-2
locationIdsArray of integers, (int64)

Only return locations identified by ids listed in locationIds

Example:locationIds=?locationIds=20&locationIds=22 for multiple locations
maxinteger, (int64)

Used for pagination. Maximum number of results per page. Default: 50 (Without a defined FieldMask the maximum number of results is 50.)

missingDirectoryFieldArray of strings

Only return locations that have no value for the given field

needsReviewboolean

If set to true, only return locations with faulty data in need of review. Default: false.

offsetinteger, (int64)

Offset used for pagination. Default: 0

orderstring

use asc for ascending sort or desc for descending sort

postcodesArray of strings

Get locations in the requested post / zip codes

provincesArray of strings

Get locations in the requested province / state

querystring

Filter by name, zip, street, city, label

Example:query=Berlin
queryFieldsArray of strings

The fields that will be searched to contain the value provided in the 'query' query parameter.

selectAllboolean

Setting selectAll to true allows finding ALL locations for any given businessId, locationIds and labels. In other words these fields are OR joined.

sortstring

The location property to sort by (ascending unless order is specified). One of name, street, streetNo, zip, city, phone, cellphone, fax, website, email, lastSyncStarted, country

statusArray of strings

Filter by locations status. One of ACTIVE, INACTIVE, CANCELLED

syncNeededboolean

If set to true, filter locations that have been updated but did not start a sync yet

syncStartedboolean

If set to true, filter locations that started a sync. If set to false, filter locations that never synced

temporarilyClosedboolean

Filter for locations that are currently set to temporarily closed (True) or are not temporarily closed (False)

curl -i -X GET \
  'https://uberall.com/api/locations?businessId=%2Fapi%2Flocations%3FbusinessId%3D123%26businessId%3D456&businessIds=0&cities=string&classification=string&countries=string&endDateMax=2020-02-05T12%3A18%3A12.000%2B01%3A00&endDateMin=2018-02-05T12%3A18%3A12.000%2B01%3A00&excludedLocationIds=excludedLocationIds%3D20%26excludedLocationIds%3D21%20for%20multiple%20locations&facebookStatus=string&fieldMask=city%26fieldMask%3Dzip&googleDirectoryStatus=string&googleStatus=string&groupIds=0&groups=string&identifier=string&labels=labels%3Dmy-label-1%26labels%3Dmy-label-2&locationIds=%3FlocationIds%3D20%26locationIds%3D22%20for%20multiple%20locations&max=0&missingDirectoryField=string&needsReview=true&offset=0&order=string&postcodes=string&provinces=string&query=Berlin&queryFields=string&selectAll=true&sort=string&status=string&syncNeeded=true&syncStarted=true&temporarilyClosed=true' \
  -H 'X-API-KEY: YOUR_API_KEY_HERE'

Responses

Locations successfully retrieved

Bodyapplication/json
statusstringrequired
Enum:"SUCCESS""PENDING""QUOTA_LIMIT_EXCEED""NOT_AUTHORIZED""FORBIDDEN""BAD_ACCESS_TOKEN""BAD_PRIVATE_KEY""BAD_PUBLIC_KEY""MISSING_PARAMETER""INVALID_PARAMETER"
messagestring

(optional) Holds further information about the response

warningsArray of strings

(optional) Holds further warnings

responseobjectrequired

The actual response object of the response

Response
{ "status": "SUCCESS", "message": "string", "warnings": [ "string" ], "response": { "offset": 0, "max": 10, "count": 100, "locations": [] } }